drop table 燹俑骜砧;
create table 燹俑骜砧 (如淦杀 text, 狞瞥婉螭 varchar, 氢蛇 varchar(16));
create index 燹俑骜砧index1 on 燹俑骜砧 using btree (如淦杀);
create index 燹俑骜砧index2 on 燹俑骜砧 using hash (狞瞥婉螭);
insert into 燹俑骜砧 values ('缳妾淦', '绠绠绎世', '啤A01念');
insert into 燹俑骜砧 values ('犒葸淦', '芈溷却宇狞瞥', '你B10你');
insert into 燹俑骜砧 values ('螫悖淦', '印汤洗枪却宇狞瞥', '仨Z01摩');
vacuum 燹俑骜砧;
select * from 燹俑骜砧;
select * from 燹俑骜砧 where 氢蛇 = '仨Z01摩';
select * from 燹俑骜砧 where 氢蛇 ~* '仨z01摩';
select * from 燹俑骜砧 where 氢蛇 like '_Z01_';
select * from 燹俑骜砧 where 氢蛇 like '_Z%';
select * from 燹俑骜砧 where 狞瞥婉螭 ~ '绠绠绎[凫卮世]';
select * from 燹俑骜砧 where 狞瞥婉螭 ~* '绠绠绎[凫卮世]';

select *, character_length(如淦杀) from 燹俑骜砧;
select *, octet_length(如淦杀) from 燹俑骜砧;
select *, position('却宇' in 狞瞥婉螭) from 燹俑骜砧;
select *, substring(狞瞥婉螭 from 3 for 6 ) from 燹俑骜砧;
